commit: 025e408baed63ae9956931779d2bb3c613112e42
Author: Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 13 22:00:15 2020 +0000
Commit: Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu Feb 13 22:00:37 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=025e408b
sys-apps/yarn: Bump to version 1.22.0
Package-Manager: Portage-2.3.88, Repoman-2.3.20
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>
sys-apps/yarn/Manifest | 1 +
sys-apps/yarn/yarn-1.22.0.ebuild | 40 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/sys-apps/yarn/Manifest b/sys-apps/yarn/Manifest
index b3327d68bce..04b984e1082 100644
--- a/sys-apps/yarn/Manifest
+++ b/sys-apps/yarn/Manifest
@@ -1,2 +1,3 @@
DIST yarn-v1.19.2.tar.gz 1244018 BLAKE2B
f88d0b6c5c3bdb6e02c0dd8c36fa981d35a0e46da143399dbbd8a39fac13669dc1b459f3ecd192c99d767fc477f54e61d74caeafaf9d1f0cdfdc4fba0b405fb6
SHA512
39d2cdfcafec03e2a75b8820350c0760ae9825d2e4496c5bc7a21877e588409eb10df93c08860a72405fc06c530660da125b96b3cdc89f38c50a652a3eda58fb
DIST yarn-v1.21.1.tar.gz 1244168 BLAKE2B
351ee6421fd85563ceb5d1e49f600b4f315041d85b412cd36a0bcfe352cd974ddf6c53e03171bf173794400c31eabc4fca5f3ae2402770441a9d9942ec79cf82
SHA512
75082626febbe97fcd41cce96e20ed73686c13fa69a460c9033c25462003313bc5cd86ddc4f8f658ee0f70dcab892b767388ec08ca6df14151287528ceddb519
+DIST yarn-v1.22.0.tar.gz 1244012 BLAKE2B
2764704103e281de8fd8c2c28abae56c7ba863365989b884add045d2f80810f0f8b83acd77baeef2375fe1424ad54cabfd89e4d14b38068114552115d3b7a812
SHA512
28c1cffc9ab9de364a4d8f624d4b77748565fdb7ba50fb3620da3debe0676472cac583537f03269601d368c5b2199a0eef8448e00205be75a162b5ead9448992
diff --git a/sys-apps/yarn/yarn-1.22.0.ebuild b/sys-apps/yarn/yarn-1.22.0.ebuild
new file mode 100644
index 00000000000..706453936e7
--- /dev/null
+++ b/sys-apps/yarn/yarn-1.22.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="${PN}-v${PV}"
+
+DESCRIPTION="Fast, reliable, and secure node dependency management"
+HOMEPAGE="https://yarnpkg.com"
+SRC_URI="https://github.com/yarnpkg/yarn/releases/download/v${PV}/${MY_P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="!dev-util/cmdtest
+ net-libs/nodejs"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ default
+ sed -i 's/"installationMethod": "tar"/"installationMethod":
"portage"/g' "${S}/package.json" || die
+}
+
+src_install() {
+ local install_dir="/usr/$(get_libdir)/node_modules/yarn" path shebang
+ insinto "${install_dir}"
+ doins -r .
+ dosym "../$(get_libdir)/node_modules/yarn/bin/yarn.js" "/usr/bin/yarn"
+ dosym "../$(get_libdir)/node_modules/yarn/bin/yarnpkg"
"/usr/bin/yarnpkg"
+
+ while read -r -d '' path; do
+ read -r shebang < "${ED}${path}" || die
+ [[ "${shebang}" == \#\!* ]] || continue
+ fperms +x "${path}"
+ done < <(find "${ED}" -type f -printf '/%P\0' || die)
+}